xmltooling::TemplateEngine::TemplateParameters Class Reference

Interface to parameters to plug into templates. More...

`#include <xmltooling/util/TemplateEngine.h>`

## Public Member Functions

virtual const char * | getParameter (const char *name) const
| Returns the value of a parameter to plug into the template.
virtual const std::multimap< std::string, std::string > * | getLoopCollection (const char *name) const
| Returns a named collection of sub-parameters to pass into a loop.

## Public Attributes

std::map< std::string, std::string > | m_map
| Map of known parameters to supply to template.
std::map< std::string, std::multimap< std::string, std::string > > | m_collectionMap
| Map of sub-collections used in for loops.
const GenericRequest * | m_request
| Request from client that resulted in template being processed.

## Detailed Description

Interface to parameters to plug into templates.

Allows callers to supply a more dynamic lookup mechanism to supplement a basic map.

## Member Function Documentation

## getLoopCollection()

virtual const std::multimap< std::string, std::string > * xmltooling::TemplateEngine::TemplateParameters::getLoopCollection | ( | const char * | name | ) | const

virtual

Returns a named collection of sub-parameters to pass into a loop.

Parameters

  name | name of sub-collection

Returns
  pointer to a multimap of sub-parameters, or nullptr

## getParameter()

virtual const char * xmltooling::TemplateEngine::TemplateParameters::getParameter | ( | const char * | name | ) | const

virtual

Returns the value of a parameter to plug into the template.

Parameters

  name | name of parameter

Returns
  value of parameter, or nullptr

The documentation for this class was generated from the following file:

- xmltooling/util/TemplateEngine.h